| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
cv::TrackerNano Class Reference
Video Analysis » Object Tracking

the Nano tracker is a super lightweight dnn-based general object tracking. More...

`#include <opencv2/video/tracking.hpp>`

Collaboration diagram for cv::TrackerNano:

## Classes
struct | Params

## Public Member Functions
virtual | ~TrackerNano () CV_OVERRIDE
Public Member Functions inherited from cv::Tracker
virtual | ~Tracker ()
virtual float | getTrackingScore ()
| Return tracking score.
virtual void | init (InputArray image, const Rect &boundingBox)=0
| Initialize the tracker with a known bounding box that surrounded the target.
virtual bool | update (InputArray image, Rect &boundingBox)=0
| Update the tracker, find the new most likely bounding box for the target.

## Static Public Member Functions
static Ptr< TrackerNano > | create (const TrackerNano::Params &parameters=TrackerNano::Params())
| Constructor.

## Protected Member Functions
| TrackerNano ()
Protected Member Functions inherited from cv::Tracker
| Tracker ()

## Detailed Description

the Nano tracker is a super lightweight dnn-based general object tracking.

Nano tracker is much faster and extremely lightweight due to special model structure, the whole model size is about 1.9 MB. Nano tracker needs two models: one for feature extraction (backbone) and the another for localization (neckhead). Model download link: https://github.com/HonglinChu/SiamTrackers/tree/master/NanoTrack/models/nanotrackv2 Original repo is here: https://github.com/HonglinChu/NanoTrack Author: HongLinChu, 16284.nosp@m.6434.nosp@m.5@qq..nosp@m.com

## Constructor & Destructor Documentation

## ◆ TrackerNano()

cv::TrackerNano::TrackerNano | ( |  | ) |
| protected

## ◆ ~TrackerNano()

virtual cv::TrackerNano::~TrackerNano | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ create()

static Ptr< TrackerNano > cv::TrackerNano::create | ( | const TrackerNano::Params & | parameters = TrackerNano::Params() | ) |
| static

Python:
| cv.TrackerNano.create( | [, parameters] | ) -> | retval
| cv.TrackerNano_create( | [, parameters] | ) -> | retval

Constructor.

Parameters

  parameters | NanoTrack parameters TrackerNano::Params

The documentation for this class was generated from the following file:

- opencv2/video/tracking.hpp